Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::MenuShellSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::MenuShell. More...

`#include <xfc/gtk/menushellsignals.hh>`

Inheritance diagram for Xfc::Gtk::MenuShellSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_deactivate ()
    Called when a menu shell is deactivated.
- virtual void on_selection_done ()
    Called when a selection has been completed within a menu shell.

## Protected Member Functions

Constructors

- MenuShellSignals (MenuShell *menu_shell)
    Construct a new MenuShellSignals object.
- virtual ~MenuShellSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::MenuShell.

## Constructor & Destructor Documentation

Xfc::Gtk::MenuShellSignals::MenuShellSignals | ( | MenuShell * | menu_shell | ) | `[protected]`

Construct a new MenuShellSignals object.

Parameters:

  | menu_shell | A MenuShell object inheriting the MenuShellSignals implementation.

The documentation for this class was generated from the following file:

- menushellsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3